----------------
-- BeastHenge --
----------------

local BeastHenge = Henge:NewModule("BeastHenge")
local ML, SL, PT = nil, nil, nil

function BeastHenge:Test()
	local _, pClass = UnitClass("player")
	return pClass == "HUNTER"
end

function BeastHenge:Load()
	ML = HengeLocale:LoadBeastHenge()
	SL = AceLibrary("Babble-Spell-2.2")
	PT = AceLibrary("PeriodicTable-Core-2.0")
	self.db = Henge:AcquireDBNamespace("BeastHenge")

	-- Set up defaults
	self.defaultsPC = {}
	self.defaults = {}
	Henge:RegisterDefaults("BeastHenge", "profile", self.defaults)
	Henge:RegisterDefaults("BeastHenge", "char", self.defaultsPC)

	self.fullname = "BeastHenge"
	self.icon     = "icon"

	HengeSphere:AddData({
		["id"] = "mana",
		["name"] = ML["Mana"],
		["func"] = function()
			return UnitMana("player"), UnitManaMax("player")
		end,
		["event"] = "UNIT_MANA",
		["arg1"] = "player"
	})
	local spell = {
		["feigndeath"] = SL["Feign Death"]
	}
	for k, v in pairs(spell) do
		HengeAction:Add({
			["id"] = k,
			["name"] = v,
			["type"] = "spell",
			["spell"] = v
		})
	end
	HengeButton:Add({
		["id"] = "feigndeath",
		["type"] = "action",
		["name"] = SL["Feign Death"],
		["desc"] = nil,
		["actions"] = {
			["LeftButton"] = "feigndeath"
		},
		["options"] = {
			["anchor"] = "sphere:Main",
			["xpos"] = 0,
			["ypos"] = 0,
			["angle"] = 105,
			["texture"] = "action:LeftButton"
		}
	})
end
