----------------
-- FaithHenge --
----------------

local FaithHenge = Henge:NewModule("FaithHenge")
local ML, SL = nil, nil

function FaithHenge:Test()
	local _, pClass = UnitClass("player")
	return pClass == "PRIEST"
end

function FaithHenge:Load()
	ML = HengeLocale:LoadFaithHenge()
	SL = AceLibrary("Babble-Spell-2.2")
	self.db = Henge:AcquireDBNamespace("FaithHenge")

	-- Set up defaults
	self.defaultsPC = {}
	self.defaults = {}
	Henge:RegisterDefaults("FaithHenge", "profile", self.defaults)
	Henge:RegisterDefaults("FaithHenge", "char", self.defaultsPC)

	self.fullname = "FaithHenge"
	self.icon     = "icon"

	HengeSphere:AddData({
		["id"] = "mana",
		["name"] = ML["Mana"],
		["func"] = function()
			return UnitMana("player"), UnitManaMax("player")
		end,
		["event"] = "UNIT_MANA",
		["arg1"] = "player"
	})
	local spell = {
		["pwfort"] = SL["Power Word: Fortitude"]
	}
	for k, v in pairs(spell) do
		HengeAction:Add({
			["id"] = k,
			["name"] = v,
			["type"] = 'spell',
			["spell"] = v
		})
	end
	HengeButton:Add({
		["id"] = "pwfort",
		["type"] = "action",
		["name"] = spell["pwfort"],
		["desc"] = nil,
		["actions"] = {
			["LeftButton"] = "pwfort"
		},
		["options"] = {
			["anchor"] = "sphere:Main",
			["xpos"] = 0,
			["ypos"] = 0,
			["angle"] = 105,
			["texture"] = "action:LeftButton"
		}
	})
end
