----------------
-- StoneHenge --
----------------

local StoneHenge = Henge:NewModule("StoneHenge")
local ML, SL, PT = nil, nil, nil

function StoneHenge:Test()
	local _, pClass = UnitClass("player")
	return pClass == "WARLOCK"
end

function StoneHenge:Load()
	ML = HengeLocale:LoadStoneHenge()
	SL = AceLibrary("Babble-Spell-2.2")
	PT = AceLibrary("PeriodicTable-2.0")
	self.db = Henge:AcquireDBNamespace("StoneHenge")

	-- Set up defaults
	self.defaultsPC = {}
	self.defaults = {}
	Henge:RegisterDefaults("StoneHenge", "profile", self.defaults)
	Henge:RegisterDefaults("StoneHenge", "char", self.defaultsPC)

	self.fullname = "StoneHenge"
	self.icon     = "icon"

	HengeSphere:AddData({
		["id"]   = "mana",
		["name"] = ML["Mana"],
		["func"] = function()
			return UnitMana("player"), UnitManaMax("player")
		end,
		["event"] = "UNIT_MANA",
		["arg1"] = "player"
	})
	
	HengeCounter:Add({
		["id"] = "soulshards",
		["type"] = 'item',
		["itemid"] = 6265
	})
	
	HengeSphere:AddData({
		["id"]   = "soulshardssphere",
		["name"] = ML["Soul Shards"],
		["counter"] = HengeCounter:Get("soulshards"),
	})
	
end
